<? 
global $X;
if(empty($FORM_NAME)) $FORM_NAME='default_'.$_GET['module'];


if(count($_POST)==0) {
	$X->ADMIN->set_notif('error', '<b>Formularz nie zosostał przetworzony, ponieważ został przesłany pusty.</b><br />Być może wielkość plików przekroczyła limit ustawień serwera.', 10000);
	$X->URL->go2('action='.(!empty($FORM_ACTION) ? $FORM_ACTION : 'form'));
}


if($FLAT!=true) {
	if((int)$_GET['id']==0) {
		$new=1;
		$edit=0;
	} else {
		$new=0;
		$edit=1;
	}
}


//if($X->ADMIN->got_permission('new')) return $CSA->LAY->mainTABLE($CSA->LAY->breadcrumb($CSA->NAVI), '<b>Nie masz uprawnień do wykonywania tej czynności</b><br /><br />'.$CS->FORM->powrot(), '100%');


if($_SESSION['form_validation'][$FORM_NAME]!=true) {
	$X->ADMIN->set_notif('error', '<b>Formularz nie zosostał przetworzony.</b><br />Błąd walidacji!', 10000);
	$X->URL->go2('action='.(!empty($FORM_ACTION) ? $FORM_ACTION : 'form'));
}
unset($_SESSION['form_validation']);



if($FLAT!=true) {
	$_GET['id']=$X->DB->prepare_row($this->TABLE, $_GET['id'], $FORCE_INSERT_ID);
	if($this->SKIP_OPS!=true) $X->ADMIN->log_op(array('action'=>($new==1 ? 'insert':'update')));
} else {
	if($this->SKIP_OPS!=true) $X->ADMIN->log_op(array('action'=>'save'));
}


$X->STR->post_filter();

$SAVE=array();
if($this->MULTILANG==1) { $SAVE[]='lang'; $_POST['lang']=$_SESSION['backend']['lang']; }


if($GET_CURRENT==true) $current=$X->DB->fast(' SELECT * FROM '.$this->TABLE.' WHERE id="'.$_GET['id'].'" ');
?>